<!-- Using https://www.materialui.co/icons -->
<icon>
  <img src={ this.url }>
  <span if={ this.opts.label }>{ this.opts.label }</span>

  <style>
    :scope {
      display: inline-flex;
      align-items: center;
      justify-content: center;
    }
    img {
      width: auto;
      vertical-align: middle;
    }
  </style>

  <script>
    this.url = ''

    this.replaceContent = async () => {
      const request = await fetch(this.url)
      const response = await request.text()
      this.root.innerHTML = response
    }

    this.on('mount', () => {
      if(Object.keys(this.opts).includes('embedded')) this.replaceContent()
    })
    this.on('*', () => {
      this.url = `/src/images/icons/${ this.opts.figure }.svg`
    })
  </script>
</icon>
